aftouch
Prev | Orchestra Opcodes and Operators | Next

## aftouch

aftouch — Get the current after-touch value for this channel.

## Description

Get the current after-touch value for this channel.

## Syntax

    kaft aftouch [imin] [, imax]

## Initialization

imin (optional, default=0) -- minimum limit on values obtained.

imax (optional, default=127) -- maximum limit on values obtained.

## Performance

Get the current after-touch value for this channel.

## Examples

Here is an example of the aftouch opcode. It uses the file aftouch.csd.

Example 49. Example of the aftouch opcode.

See the sections Real-time Audio and Command Line Flags for more information on using command line flags.

    <CsoundSynthesizer>
    <CsOptions>
    ; Select audio/midi flags here according to platform
    ; Audio out   No messages  MIDI in
    -odac           -d         -M0  ;;;RT audio out with MIDI in
    </CsOptions>
    <CsInstruments>

    sr = 44100
    ksmps = 32
    nchnls = 2
    0dbfs = 1

    instr 1

    kaft aftouch 0, 1
    printk2 kaft

    ;aftertouch from music keyboard used for volume control
    asig	oscil 0.7 * kaft, 220, 1
    	outs  asig, asig

    endin

    </CsInstruments>
    <CsScore>
    ;sine wave.
    f 1 0 16384 10 1

    i 1 0 30
    e

    </CsScore>
    </CsoundSynthesizer>

## See Also

ampmidi, cpsmidi, cpsmidib, midictrl, notnum, octmidi, octmidib, pchbend, pchmidi, pchmidib, veloc

## Credits

Author: Barry L. Vercoe - Mike Berry
MIT - Mills
May 1997

Prev | Up | Next
adsynt2 | Home | alpass